API Endpoint Reference / Printers
Record Filament assignments and report saving, delivery, and observed filament
POST https://api.printhiv3d.com/v1/printers/{id}/material-slots/assign
Operation ID assignFilaments. Requires the control API key scope.
Requires an organization API key with control scope or an authenticated organization session. Host credentials are rejected, including Host-bound wildcard keys. Legacy unbound wildcard keys are accepted.
Parameters
| Name | In | Type | Required | Description |
|---|
id | path | string | Yes | |
Request body
Content type application/json.
| Field | Type | Required | Description |
|---|
jobId | number | null | No | |
syncPolicy | "save-only" | "automatic" | No | |
slots | object[] | Yes | |
Responses
| Status | Description |
|---|
200 | Default Response |
400 | Default Response |
401 | Default Response |
403 | Default Response |
404 | Default Response |
409 | Default Response |
422 | Default Response |
500 | Default Response |
503 | Default Response |
200 response fields
| Field | Type | Required | Description |
|---|
reevaluations | object[] | No | |
organizationId | uuid | Yes | |
printerId | uuid | Yes | |
jobId | null | number | Yes | |
slots | object[] | Yes | |
400 response fields
| Field | Type | Required | Description |
|---|
error | string | No | |
message | string | No | |
requestId | string | No | |
code | string | No | |
position | number | No | |
slots | object[] | No | |
reason | string | No | |
reevaluations | object[] | No | |
holdingJob | object | No | |
401 response fields
| Field | Type | Required | Description |
|---|
error | string | No | |
message | string | No | |
requestId | string | No | |
code | string | No | |
position | number | No | |
slots | object[] | No | |
reason | string | No | |
reevaluations | object[] | No | |
holdingJob | object | No | |
403 response fields
| Field | Type | Required | Description |
|---|
error | string | No | |
message | string | No | |
requestId | string | No | |
code | string | No | |
position | number | No | |
slots | object[] | No | |
reason | string | No | |
reevaluations | object[] | No | |
holdingJob | object | No | |
404 response fields
| Field | Type | Required | Description |
|---|
error | string | No | |
message | string | No | |
requestId | string | No | |
code | string | No | |
position | number | No | |
slots | object[] | No | |
reason | string | No | |
reevaluations | object[] | No | |
holdingJob | object | No | |
409 response fields
| Field | Type | Required | Description |
|---|
error | string | No | |
message | string | No | |
requestId | string | No | |
code | string | No | |
position | number | No | |
slots | object[] | No | |
reason | string | No | |
reevaluations | object[] | No | |
holdingJob | object | No | |
422 response fields
| Field | Type | Required | Description |
|---|
error | string | No | |
message | string | No | |
requestId | string | No | |
code | string | No | |
position | number | No | |
slots | object[] | No | |
reason | string | No | |
reevaluations | object[] | No | |
holdingJob | object | No | |
500 response fields
| Field | Type | Required | Description |
|---|
error | string | No | |
message | string | No | |
requestId | string | No | |
code | string | No | |
position | number | No | |
slots | object[] | No | |
reason | string | No | |
reevaluations | object[] | No | |
holdingJob | object | No | |
503 response fields
| Field | Type | Required | Description |
|---|
error | string | No | |
message | string | No | |
requestId | string | No | |
code | string | No | |
position | number | No | |
slots | object[] | No | |
reason | string | No | |
reevaluations | object[] | No | |
holdingJob | object | No | |
Example 200 response
{
"organizationId": "3b9e4d71-0c2f-4a58-8e6d-91f2a7c4b605",
"printerId": "7d3f1c2a-5b8e-4f6a-9c1d-2e4b6a8c0f13",
"jobId": null,
"reevaluations": [],
"slots": [
{
"position": 0,
"materialType": "PLA",
"color": "#FFFFFF",
"materialId": "9c2e7b4a-1d8f-4a63-8f5b-6e0d3a9c7b21",
"database": "saved",
"record": "saved",
"assignmentRevision": "5f8a2c6e-9d1b-4e73-b4a0-2c7e9f1d6b85",
"expected": {
"materialType": "PLA",
"color": "#FFFFFF",
"filamentId": "GFA00",
"settingId": "GFA00"
},
"printerSync": {
"status": "sent"
},
"observation": {
"status": "observed",
"observedAt": "2026-11-04T18:00:00.000Z",
"reported": {
"materialType": "PLA",
"color": "#FFFFFF",
"filamentId": "GFA00",
"settingId": "GFA00"
}
}
}
]
}